# Uses of Class
org.astrogrid.samp.client.TrackedClientSet

Packages that use TrackedClientSet
Package
Description
org.astrogrid.samp.client
Classes required only for SAMP clients.

## Uses of TrackedClientSet in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client that return TrackedClientSet
Modifier and Type
Method
Description
`protected TrackedClientSet`
HubConnector.`getClientSet()`
Returns the tracked client set implementation which is used to keep track of the currently registered clients.
Constructors in org.astrogrid.samp.client with parameters of type TrackedClientSet
Modifier
Constructor
Description
``
`HubConnector(ClientProfile profile, TrackedClientSet clientSet)`
Constructs a HubConnector based on a given profile instance using a custom client set implementation.